unit Prototype;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ScktComp, xmldom, XMLIntf, msxmldom, XMLDoc;

type
  TfrmPrototype = class(TForm)
    sckPrototype: TClientSocket;
    editCommand: TEdit;
    bttnSend: TButton;
    xmlOptions: TXMLDocument;
    procedure bttnSendClick(Sender: TObject);
  private
    { Private declarations }
    fEnabled : boolean;
    procedure SetEnabled(const Value: boolean);
  public
    { Public declarations }
    property Enabled : boolean
        read fEnabled write SetEnabled;

    constructor Create(AOwner : TComponent); overload;
    constructor Create(AOwner : TComponent; xmlOptions : TXMLDocument); overload;
  end;

var
  frmPrototype: TfrmPrototype;

implementation

{$R *.dfm}

procedure TfrmPrototype.bttnSendClick(Sender: TObject);
begin
  if sckPrototype.Active then
    sckPrototype.Socket.SendText(editCommand.Text);

end;



constructor TfrmPrototype.Create(AOwner: TComponent);
begin
  inherited;
  Enabled := false;
end;

constructor TfrmPrototype.Create(AOwner: TComponent;
  xmlOptions: TXMLDocument);
begin
  Create(AOwner);
end;

procedure TfrmPrototype.SetEnabled(const Value: boolean);
begin
  fEnabled := Value;
  if Value then
    Self.WindowState := wsNormal
  else
    Self.WindowState := wsMinimized;

end;

end.
