/*
    TaskLib; a Commandline ConcurTaskTree Processing Tool (http://lumumba.luc.ac.be/kris/research/tasklib)
    Copyright (C) 2003  Kris Luyten (kris.luyten@luc.ac.be)
	                     Expertise Centre for Digital Media (http://edm.luc.ac.be)
								Limburgs Universitair Centrum

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of	the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


package edm.navigation.concurtasktree;

import java.io.OutputStream;

/**
 * Represents an abstract task, which is composed out of several substeps/tasks
 * @author <a href="kris.luyten@luc.ac.be">Kris Luyten</a>
 */
public class AbstractTaskStep extends CCTTStep{


	/**
	 * Constructor for AbstractTaskStep
	 **/
	public AbstractTaskStep(){
	}

	/**
	 * Constructor for AbstractTaskStep
	 * @param id The identifiere for this AbstractTaskStep
	 **/
	public AbstractTaskStep(String id){
		super(id);
	}

	/**
	 * Queries the type task this class represents
	 * @return A String containing the task type
	 **/
	public String getCategory(){
		return CCTTSAXHandler.TASKTYPE_ABSTRACT;
	}

	public void execute(){
	}

	public void write(OutputStream os){
	}

}
