/*
    TaskLib; a Commandline ConcurTaskTree Processing Tool (http://lumumba.luc.ac.be/kris/research/tasklib)
    Copyright (C) 2003  Kris Luyten (kris.luyten@luc.ac.be)
	                     Expertise Centre for Digital Media (http://edm.luc.ac.be)
								Limburgs Universitair Centrum

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of	the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package edm.navigation.concurtasktree;

import java.util.Vector;
import java.util.Enumeration;

/**
  * Describes an Object required to perform a Task
  * @author Tim Clerckx
  **/

public class TaskObject{
  private Vector $platforms = new Vector();

  private String $name;
  private String $className;
  private String $type;
  private String $accessMode;
  private String $cardinality;
  private String $inputDescription;
  private String $inputFrom;
  private String $outputDescription;
  private String $outputTo;

  public TaskObject(){

  }

  public TaskObject( String name ){
    $name = name;
  }

  public void setName( String name ){
    $name = name;
  }

  public String getName(){
    return $name;
  }

  public void setClassName( String className ){
    $className = className;
  }

  public String getClassName(){
    return $className;
  }

  public void setType( String type ){
    $type = type;
  }

  public String getType(){
    return $type;
  }

  public void setAccessMode( String accessMode ){
    $accessMode = accessMode;
  }

  public String getAccessMode(){
    return $accessMode;
  }

  public void setCardinality( String cardinality ){
    $cardinality = cardinality;
  }

  public String getCardinality(){
    return $cardinality;
  }

  public Enumeration getPlatforms(){
    return $platforms.elements();
  }

  public void addPlatform( String platform ){
    $platforms.add( platform );
  }

  public void setInputDescription( String id ){
    $inputDescription = id;
  }

  public String getInputDescription(){
    return $inputDescription;
  }

  public void setInputFrom( String inpF ){
    $inputFrom = inpF;
  }

  public String getInputFrom(){
    return $inputFrom;
  }

  public void setOutputDescription( String outputDescription ){
    $outputDescription = outputDescription;
  }

  public String getOutputDescription(){
    return $outputDescription;
  }

  public void setOutputTo( String ot ){
    $outputTo = ot;
  }

  public String getOutputTo(){
    return $outputTo;
  }

/*
  private void printTaskObjects( PrintStream os ){
    os.println("    -Task Object: ");
    os.println("      +Name: "+getName() );
    os.println("      +Class Name: "+getClassName() );
    os.println("      +Type: "+getType() );
    os.println("      +Access Mode: "+getAccessMode() );
    os.println("      +cardinality: "+getCardinality() );
    os.println("      +Input Description: "+getInputDescription() );
    os.println("      +Input From: "+getInputFrom() );
    os.println("      +Output Description: "+getOutputDescription() );
    os.println("      +Output From: "+getOutputTo() );

    Enumeration platforms = getPlatforms();
    while( platforms.hasMoreElements() ){
      os.println("        %Platform: "+platforms.nextElement() );
    }
  }
*/
}
