/*
    TaskLib; a Commandline ConcurTaskTree Processing Tool (http://lumumba.luc.ac.be/kris/research/tasklib)
    Copyright (C) 2003  Kris Luyten (kris.luyten@luc.ac.be)
	                     Expertise Centre for Digital Media (http://edm.luc.ac.be)
								Limburgs Universitair Centrum

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of	the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package edm.parsing;

import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.XMLReader;
import java.io.CharArrayWriter;

/**	
 * This class represents an Abstract SAX contentHanler to use by all
 *	Handler subclasses.
 *
 *	@author Chris Vandervelpen (Chris Vandervelpen@luc.ac.be), Kris Luyten
 */
public abstract class AbstractSAXHandler extends DefaultHandler{
	
	private CharArrayWriter $contents;
	private AbstractSAXHandler $prevContentHandler;
	private XMLReader $xr;
	
	public AbstractSAXHandler(){
		$contents = new CharArrayWriter();
	}
	
	protected void writeContents(char[] ch, int start, int length){
		$contents.write(ch,start,length);
	}
	
	protected void resetContents(){
		$contents.reset();
	}
	
	protected CharArrayWriter getContents(){
		return $contents;
	}

	public void setPreviousContentHandler(AbstractSAXHandler prevContentHandler){
		$prevContentHandler = prevContentHandler;
	}

	public AbstractSAXHandler getPreviousContentHandler(){
		return $prevContentHandler;
	}

	public void setSAXParser(XMLReader xr){
		$xr = xr;
	}

	public XMLReader getSAXParser(){
		return $xr;
	}	
}


