/*
    TaskLib; a Commandline ConcurTaskTree Processing Tool (http://lumumba.luc.ac.be/kris/research/tasklib)
    Copyright (C) 2003  Kris Luyten (kris.luyten@luc.ac.be)
	                     Expertise Centre for Digital Media (http://edm.luc.ac.be)
								Limburgs Universitair Centrum

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of	the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/



package edm.navigation.concurtasktree;

/**
 * FSMTransition represents a transition in a FiniteStateMachine.
 * @author Tim Clerckx
 */
public class FSMTransition{//an accept state is indicated by ( $to == -1 )

	protected final static int ENABLING  = 1;
	protected final static int DISABLING = 2;
	protected final static int EXPIRING  = 3;
	protected final static int ITERATIVE = 4;

	protected int $from = -1;
	protected int $to   = -1;
	protected CCTTStep $trigger = null;
	protected int $type = -1;


	public FSMTransition( int from, int to, CCTTStep trigger, int type ){			
		$from    = from;
		$to      = to;
		$trigger = trigger;
		$type    = type;
	}
	
	
	
	

	public boolean isEqual( FSMTransition other ){
		return ( ($from == other.$from) && ($to == other.$to) && ($trigger == other.$trigger) );
	}
}
